> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Terminate Automation

> Terminate a running automation execution asynchronously, stopping it and marking it as terminated.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/automation_executions/{id}/actions/terminate
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/automation_executions/{id}/actions/terminate:
    post:
      tags:
        - Automations
      summary: Terminate Automation
      description: >-
        Terminate a running automation execution asynchronously, stopping it and
        marking it as terminated.
      operationId: >-
        c1.api.automations.v1.AutomationExecutionActionsService.TerminateAutomation
      parameters:
        - in: path
          name: id
          required: true
          schema:
            description: The unique identifier of the automation execution to terminate.
            format: int64
            readOnly: false
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.automations.v1.TerminateAutomationRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.automations.v1.TerminateAutomationResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: TerminateAutomation
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.AutomationExecutionActions.TerminateAutomation(ctx, operations.C1APIAutomationsV1AutomationExecutionActionsServiceTerminateAutomationRequest{\n        ID: 839265,\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.TerminateAutomationResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.automationExecutionActions.terminateAutomation({
                id: 840304,
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.automations.v1.TerminateAutomationRequestInput:
      description: The TerminateAutomationRequest message.
      title: Terminate Automation Request
      type: object
      x-speakeasy-name-override: TerminateAutomationRequest
    c1.api.automations.v1.TerminateAutomationResponse:
      description: The TerminateAutomationResponse message.
      title: Terminate Automation Response
      type: object
      x-speakeasy-name-override: TerminateAutomationResponse
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````